SDL_GetGamepadTypeFromString(3)

NAME
SDL_GetGamepadTypeFromString - Convert a string into SDL_GamepadType enum.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

SDL_GamepadType SDL_GetGamepadTypeFromString(const char *str);

DESCRIPTION
This function is called internally to translate SDL_Gamepad mapping strings for the underlying joystick device into the consistent SDL_Gamepad mapping. You do not normally need to call this function unless you are parsing SDL_Gamepad mappings in your own code.

FUNCTION PARAMETERS

str string representing a SDL_GamepadType type.

RETURN VALUE
Returns the SDL_GamepadType enum corresponding to the input string, or SDL_GAMEPAD_TYPE_UNKNOWN if no match was found.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepadStringForType(3)